<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('FILE_READ_MODE', 0644);
define('FILE_WRITE_MODE', 0666);
define('DIR_READ_MODE', 0755);
define('DIR_WRITE_MODE', 0777);
define('FOPEN_READ',							'rb');
define('FOPEN_READ_WRITE',						'r+b');
define('FOPEN_WRITE_CREATE_DESTRUCTIVE',		'wb'); // truncates existing file data, use with care
define('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE',	'w+b'); // truncates existing file data, use with care
define('FOPEN_WRITE_CREATE',					'ab');
define('FOPEN_READ_WRITE_CREATE',				'a+b');
define('FOPEN_WRITE_CREATE_STRICT',				'xb');
define('FOPEN_READ_WRITE_CREATE_STRICT',		'x+b');
define('IS_POST' , strtolower ( $_SERVER [ "REQUEST_METHOD" ]) ==  'post' ); //判断是否是post方法
define('IS_GET' , strtolower ( $_SERVER [ "REQUEST_METHOD" ]) ==  'get' ); //判断是否是get方法
define('IS_AJAX' ,isset( $_SERVER [ 'HTTP_X_REQUESTED_WITH' ]) &&  strtolower ( $_SERVER [ 'HTTP_X_REQUESTED_WITH' ]) ==  'xmlhttprequest' ); //判断是否是ajax请求
